RegisterLocalEventHandler("inventory:Use",function(player,id,_,items,slot)
	-- need at least 4 slots because we need 5 slots but we're removing 1 item
	if id == "sweden_gift" and items == "day1_gift" and dsl.inventory.GetPlayerSpace(player) >= 4 and dsl.inventory.RemoveItemFromPlayer(player,id,1,slot) then
		SendNetworkEvent(player,"gift_items:PlaySound")
		dsl.inventory.GiveItemToPlayer(player,"note_v1rel",1)
		dsl.inventory.GiveItemToPlayer(player,"blue_flowers",1)
		dsl.inventory.GiveItemToPlayer(player,"skateboard",1)
		dsl.inventory.GiveItemToPlayer(player,"blank_paper",20)
		dsl.inventory.RewardPlayerMoney(player,2000)
	end
end)
